using System;
using System.Collections.Generic;
using System.Data;

public static class ProductTest
{
	public static List<Product> GetProducts(int param1, int param2)
	{
		List<Product> products = new List<Product>();
		for (int i = param1; i < param1 + param2; i++) {
			products.Add(new Product(i, "Product " + i, "Description " + i, 2*i));
		}

		return products;
	}

	public static DataView GetProducts2(int param1, int param2)
	{
		DataSet products = new DataSet();
		DataTable table = new DataTable("Products");
		products.Tables.Add(table);
		table.Columns.Add(new DataColumn("Id", typeof(int)));
		table.Columns.Add(new DataColumn("Name", typeof(string)));
		table.Columns.Add(new DataColumn("Description", typeof(string)));
		table.Columns.Add(new DataColumn("Price", typeof(decimal)));

		for (int i = param1; i < param1 + param2; i++) {
			DataRow dr = table.NewRow();
			dr["Id"] = i;
			dr["Name"] = "Product " + i;
			dr["Description"] = "Description " + i;
			dr["Price"] = 2*i;
			table.Rows.Add(dr);
		}

		return table.DefaultView;
	}
}